"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CopyDBParameterGroup_1 = require("../model/operations/CopyDBParameterGroup");
var CopyDBParameterGroupCommand = /** @class */ (function () {
    function CopyDBParameterGroupCommand(input) {
        this.input = input;
        this.model = CopyDBParameterGroup_1.CopyDBParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CopyDBParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CopyDBParameterGroupCommand;
}());
exports.CopyDBParameterGroupCommand = CopyDBParameterGroupCommand;
//# sourceMappingURL=CopyDBParameterGroupCommand.js.map