"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBParameterGroup_1 = require("../model/operations/CreateDBParameterGroup");
var CreateDBParameterGroupCommand = /** @class */ (function () {
    function CreateDBParameterGroupCommand(input) {
        this.input = input;
        this.model = CreateDBParameterGroup_1.CreateDBParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBParameterGroupCommand;
}());
exports.CreateDBParameterGroupCommand = CreateDBParameterGroupCommand;
//# sourceMappingURL=CreateDBParameterGroupCommand.js.map