"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBClusterParameterGroup_1 = require("../model/operations/DeleteDBClusterParameterGroup");
var DeleteDBClusterParameterGroupCommand = /** @class */ (function () {
    function DeleteDBClusterParameterGroupCommand(input) {
        this.input = input;
        this.model = DeleteDBClusterParameterGroup_1.DeleteDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBClusterParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBClusterParameterGroupCommand;
}());
exports.DeleteDBClusterParameterGroupCommand = DeleteDBClusterParameterGroupCommand;
//# sourceMappingURL=DeleteDBClusterParameterGroupCommand.js.map