"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBInstanceAutomatedBackup_1 = require("../model/operations/DeleteDBInstanceAutomatedBackup");
var DeleteDBInstanceAutomatedBackupCommand = /** @class */ (function () {
    function DeleteDBInstanceAutomatedBackupCommand(input) {
        this.input = input;
        this.model = DeleteDBInstanceAutomatedBackup_1.DeleteDBInstanceAutomatedBackup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBInstanceAutomatedBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBInstanceAutomatedBackupCommand;
}());
exports.DeleteDBInstanceAutomatedBackupCommand = DeleteDBInstanceAutomatedBackupCommand;
//# sourceMappingURL=DeleteDBInstanceAutomatedBackupCommand.js.map