"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBParameterGroup_1 = require("../model/operations/DeleteDBParameterGroup");
var DeleteDBParameterGroupCommand = /** @class */ (function () {
    function DeleteDBParameterGroupCommand(input) {
        this.input = input;
        this.model = DeleteDBParameterGroup_1.DeleteDBParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBParameterGroupCommand;
}());
exports.DeleteDBParameterGroupCommand = DeleteDBParameterGroupCommand;
//# sourceMappingURL=DeleteDBParameterGroupCommand.js.map