"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBSubnetGroup_1 = require("../model/operations/DeleteDBSubnetGroup");
var DeleteDBSubnetGroupCommand = /** @class */ (function () {
    function DeleteDBSubnetGroupCommand(input) {
        this.input = input;
        this.model = DeleteDBSubnetGroup_1.DeleteDBSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBSubnetGroupCommand;
}());
exports.DeleteDBSubnetGroupCommand = DeleteDBSubnetGroupCommand;
//# sourceMappingURL=DeleteDBSubnetGroupCommand.js.map