"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusterBacktracks_1 = require("../model/operations/DescribeDBClusterBacktracks");
var DescribeDBClusterBacktracksCommand = /** @class */ (function () {
    function DescribeDBClusterBacktracksCommand(input) {
        this.input = input;
        this.model = DescribeDBClusterBacktracks_1.DescribeDBClusterBacktracks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClusterBacktracksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClusterBacktracksCommand;
}());
exports.DescribeDBClusterBacktracksCommand = DescribeDBClusterBacktracksCommand;
//# sourceMappingURL=DescribeDBClusterBacktracksCommand.js.map