"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBParameters_1 = require("../model/operations/DescribeDBParameters");
var DescribeDBParametersCommand = /** @class */ (function () {
    function DescribeDBParametersCommand(input) {
        this.input = input;
        this.model = DescribeDBParameters_1.DescribeDBParameters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBParametersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBParametersCommand;
}());
exports.DescribeDBParametersCommand = DescribeDBParametersCommand;
//# sourceMappingURL=DescribeDBParametersCommand.js.map