"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBSnapshotAttributes_1 = require("../model/operations/DescribeDBSnapshotAttributes");
var DescribeDBSnapshotAttributesCommand = /** @class */ (function () {
    function DescribeDBSnapshotAttributesCommand(input) {
        this.input = input;
        this.model = DescribeDBSnapshotAttributes_1.DescribeDBSnapshotAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBSnapshotAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBSnapshotAttributesCommand;
}());
exports.DescribeDBSnapshotAttributesCommand = DescribeDBSnapshotAttributesCommand;
//# sourceMappingURL=DescribeDBSnapshotAttributesCommand.js.map