"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBSubnetGroups_1 = require("../model/operations/DescribeDBSubnetGroups");
var DescribeDBSubnetGroupsCommand = /** @class */ (function () {
    function DescribeDBSubnetGroupsCommand(input) {
        this.input = input;
        this.model = DescribeDBSubnetGroups_1.DescribeDBSubnetGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBSubnetGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBSubnetGroupsCommand;
}());
exports.DescribeDBSubnetGroupsCommand = DescribeDBSubnetGroupsCommand;
//# sourceMappingURL=DescribeDBSubnetGroupsCommand.js.map