"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOptionGroups_1 = require("../model/operations/DescribeOptionGroups");
var DescribeOptionGroupsCommand = /** @class */ (function () {
    function DescribeOptionGroupsCommand(input) {
        this.input = input;
        this.model = DescribeOptionGroups_1.DescribeOptionGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOptionGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOptionGroupsCommand;
}());
exports.DescribeOptionGroupsCommand = DescribeOptionGroupsCommand;
//# sourceMappingURL=DescribeOptionGroupsCommand.js.map