"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBParameterGroup_1 = require("../model/operations/ModifyDBParameterGroup");
var ModifyDBParameterGroupCommand = /** @class */ (function () {
    function ModifyDBParameterGroupCommand(input) {
        this.input = input;
        this.model = ModifyDBParameterGroup_1.ModifyDBParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBParameterGroupCommand;
}());
exports.ModifyDBParameterGroupCommand = ModifyDBParameterGroupCommand;
//# sourceMappingURL=ModifyDBParameterGroupCommand.js.map