"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBSnapshotAttribute_1 = require("../model/operations/ModifyDBSnapshotAttribute");
var ModifyDBSnapshotAttributeCommand = /** @class */ (function () {
    function ModifyDBSnapshotAttributeCommand(input) {
        this.input = input;
        this.model = ModifyDBSnapshotAttribute_1.ModifyDBSnapshotAttribute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBSnapshotAttributeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBSnapshotAttributeCommand;
}());
exports.ModifyDBSnapshotAttributeCommand = ModifyDBSnapshotAttributeCommand;
//# sourceMappingURL=ModifyDBSnapshotAttributeCommand.js.map