"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyOptionGroup_1 = require("../model/operations/ModifyOptionGroup");
var ModifyOptionGroupCommand = /** @class */ (function () {
    function ModifyOptionGroupCommand(input) {
        this.input = input;
        this.model = ModifyOptionGroup_1.ModifyOptionGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyOptionGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyOptionGroupCommand;
}());
exports.ModifyOptionGroupCommand = ModifyOptionGroupCommand;
//# sourceMappingURL=ModifyOptionGroupCommand.js.map