"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PurchaseReservedDBInstancesOffering_1 = require("../model/operations/PurchaseReservedDBInstancesOffering");
var PurchaseReservedDBInstancesOfferingCommand = /** @class */ (function () {
    function PurchaseReservedDBInstancesOfferingCommand(input) {
        this.input = input;
        this.model = PurchaseReservedDBInstancesOffering_1.PurchaseReservedDBInstancesOffering;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PurchaseReservedDBInstancesOfferingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PurchaseReservedDBInstancesOfferingCommand;
}());
exports.PurchaseReservedDBInstancesOfferingCommand = PurchaseReservedDBInstancesOfferingCommand;
//# sourceMappingURL=PurchaseReservedDBInstancesOfferingCommand.js.map