"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveRoleFromDBCluster_1 = require("../model/operations/RemoveRoleFromDBCluster");
var RemoveRoleFromDBClusterCommand = /** @class */ (function () {
    function RemoveRoleFromDBClusterCommand(input) {
        this.input = input;
        this.model = RemoveRoleFromDBCluster_1.RemoveRoleFromDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveRoleFromDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveRoleFromDBClusterCommand;
}());
exports.RemoveRoleFromDBClusterCommand = RemoveRoleFromDBClusterCommand;
//# sourceMappingURL=RemoveRoleFromDBClusterCommand.js.map