"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveRoleFromDBInstance_1 = require("../model/operations/RemoveRoleFromDBInstance");
var RemoveRoleFromDBInstanceCommand = /** @class */ (function () {
    function RemoveRoleFromDBInstanceCommand(input) {
        this.input = input;
        this.model = RemoveRoleFromDBInstance_1.RemoveRoleFromDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveRoleFromDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveRoleFromDBInstanceCommand;
}());
exports.RemoveRoleFromDBInstanceCommand = RemoveRoleFromDBInstanceCommand;
//# sourceMappingURL=RemoveRoleFromDBInstanceCommand.js.map