"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddSourceIdentifierToSubscriptionInput_1 = require("../shapes/AddSourceIdentifierToSubscriptionInput");
var AddSourceIdentifierToSubscriptionOutput_1 = require("../shapes/AddSourceIdentifierToSubscriptionOutput");
var SubscriptionNotFoundFault_1 = require("../shapes/SubscriptionNotFoundFault");
var SourceNotFoundFault_1 = require("../shapes/SourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddSourceIdentifierToSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddSourceIdentifierToSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddSourceIdentifierToSubscriptionInput_1.AddSourceIdentifierToSubscriptionInput
    },
    output: {
        shape: AddSourceIdentifierToSubscriptionOutput_1.AddSourceIdentifierToSubscriptionOutput,
        resultWrapper: "AddSourceIdentifierToSubscriptionResult"
    },
    errors: [
        {
            shape: SubscriptionNotFoundFault_1.SubscriptionNotFoundFault
        },
        {
            shape: SourceNotFoundFault_1.SourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=AddSourceIdentifierToSubscription.js.map