"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDBClusterBacktracksInput_1 = require("../shapes/DescribeDBClusterBacktracksInput");
var DescribeDBClusterBacktracksOutput_1 = require("../shapes/DescribeDBClusterBacktracksOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var DBClusterBacktrackNotFoundFault_1 = require("../shapes/DBClusterBacktrackNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusterBacktracks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusterBacktracks",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClusterBacktracksInput_1.DescribeDBClusterBacktracksInput
    },
    output: {
        shape: DescribeDBClusterBacktracksOutput_1.DescribeDBClusterBacktracksOutput,
        resultWrapper: "DescribeDBClusterBacktracksResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBClusterBacktrackNotFoundFault_1.DBClusterBacktrackNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusterBacktracks.js.map