"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDBClusterEndpointsInput_1 = require("../shapes/DescribeDBClusterEndpointsInput");
var DescribeDBClusterEndpointsOutput_1 = require("../shapes/DescribeDBClusterEndpointsOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusterEndpoints = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusterEndpoints",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClusterEndpointsInput_1.DescribeDBClusterEndpointsInput
    },
    output: {
        shape: DescribeDBClusterEndpointsOutput_1.DescribeDBClusterEndpointsOutput,
        resultWrapper: "DescribeDBClusterEndpointsResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusterEndpoints.js.map