"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDBClusterParametersInput_1 = require("../shapes/DescribeDBClusterParametersInput");
var DescribeDBClusterParametersOutput_1 = require("../shapes/DescribeDBClusterParametersOutput");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusterParameters = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusterParameters",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClusterParametersInput_1.DescribeDBClusterParametersInput
    },
    output: {
        shape: DescribeDBClusterParametersOutput_1.DescribeDBClusterParametersOutput,
        resultWrapper: "DescribeDBClusterParametersResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusterParameters.js.map