"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDBClusterSnapshotsInput_1 = require("../shapes/DescribeDBClusterSnapshotsInput");
var DescribeDBClusterSnapshotsOutput_1 = require("../shapes/DescribeDBClusterSnapshotsOutput");
var DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusterSnapshots = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusterSnapshots",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClusterSnapshotsInput_1.DescribeDBClusterSnapshotsInput
    },
    output: {
        shape: DescribeDBClusterSnapshotsOutput_1.DescribeDBClusterSnapshotsOutput,
        resultWrapper: "DescribeDBClusterSnapshotsResult"
    },
    errors: [
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusterSnapshots.js.map