"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDBInstancesInput_1 = require("../shapes/DescribeDBInstancesInput");
var DescribeDBInstancesOutput_1 = require("../shapes/DescribeDBInstancesOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBInstancesInput_1.DescribeDBInstancesInput
    },
    output: {
        shape: DescribeDBInstancesOutput_1.DescribeDBInstancesOutput,
        resultWrapper: "DescribeDBInstancesResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBInstances.js.map