"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDBLogFilesInput_1 = require("../shapes/DescribeDBLogFilesInput");
var DescribeDBLogFilesOutput_1 = require("../shapes/DescribeDBLogFilesOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBLogFiles = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBLogFiles",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBLogFilesInput_1.DescribeDBLogFilesInput
    },
    output: {
        shape: DescribeDBLogFilesOutput_1.DescribeDBLogFilesOutput,
        resultWrapper: "DescribeDBLogFilesResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBLogFiles.js.map