"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReservedDBInstancesInput_1 = require("../shapes/DescribeReservedDBInstancesInput");
var DescribeReservedDBInstancesOutput_1 = require("../shapes/DescribeReservedDBInstancesOutput");
var ReservedDBInstanceNotFoundFault_1 = require("../shapes/ReservedDBInstanceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReservedDBInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReservedDBInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReservedDBInstancesInput_1.DescribeReservedDBInstancesInput
    },
    output: {
        shape: DescribeReservedDBInstancesOutput_1.DescribeReservedDBInstancesOutput,
        resultWrapper: "DescribeReservedDBInstancesResult"
    },
    errors: [
        {
            shape: ReservedDBInstanceNotFoundFault_1.ReservedDBInstanceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeReservedDBInstances.js.map