"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyDBParameterGroupInput_1 = require("../shapes/ModifyDBParameterGroupInput");
var ModifyDBParameterGroupOutput_1 = require("../shapes/ModifyDBParameterGroupOutput");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var InvalidDBParameterGroupStateFault_1 = require("../shapes/InvalidDBParameterGroupStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBParameterGroupInput_1.ModifyDBParameterGroupInput
    },
    output: {
        shape: ModifyDBParameterGroupOutput_1.ModifyDBParameterGroupOutput,
        resultWrapper: "ModifyDBParameterGroupResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: InvalidDBParameterGroupStateFault_1.InvalidDBParameterGroupStateFault
        }
    ]
};
//# sourceMappingURL=ModifyDBParameterGroup.js.map