"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PromoteReadReplicaDBClusterInput_1 = require("../shapes/PromoteReadReplicaDBClusterInput");
var PromoteReadReplicaDBClusterOutput_1 = require("../shapes/PromoteReadReplicaDBClusterOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PromoteReadReplicaDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PromoteReadReplicaDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PromoteReadReplicaDBClusterInput_1.PromoteReadReplicaDBClusterInput
    },
    output: {
        shape: PromoteReadReplicaDBClusterOutput_1.PromoteReadReplicaDBClusterOutput,
        resultWrapper: "PromoteReadReplicaDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        }
    ]
};
//# sourceMappingURL=PromoteReadReplicaDBCluster.js.map