"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PurchaseReservedDBInstancesOfferingInput_1 = require("../shapes/PurchaseReservedDBInstancesOfferingInput");
var PurchaseReservedDBInstancesOfferingOutput_1 = require("../shapes/PurchaseReservedDBInstancesOfferingOutput");
var ReservedDBInstancesOfferingNotFoundFault_1 = require("../shapes/ReservedDBInstancesOfferingNotFoundFault");
var ReservedDBInstanceAlreadyExistsFault_1 = require("../shapes/ReservedDBInstanceAlreadyExistsFault");
var ReservedDBInstanceQuotaExceededFault_1 = require("../shapes/ReservedDBInstanceQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PurchaseReservedDBInstancesOffering = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PurchaseReservedDBInstancesOffering",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PurchaseReservedDBInstancesOfferingInput_1.PurchaseReservedDBInstancesOfferingInput
    },
    output: {
        shape: PurchaseReservedDBInstancesOfferingOutput_1.PurchaseReservedDBInstancesOfferingOutput,
        resultWrapper: "PurchaseReservedDBInstancesOfferingResult"
    },
    errors: [
        {
            shape: ReservedDBInstancesOfferingNotFoundFault_1.ReservedDBInstancesOfferingNotFoundFault
        },
        {
            shape: ReservedDBInstanceAlreadyExistsFault_1.ReservedDBInstanceAlreadyExistsFault
        },
        {
            shape: ReservedDBInstanceQuotaExceededFault_1.ReservedDBInstanceQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=PurchaseReservedDBInstancesOffering.js.map