"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveRoleFromDBClusterInput_1 = require("../shapes/RemoveRoleFromDBClusterInput");
var RemoveRoleFromDBClusterOutput_1 = require("../shapes/RemoveRoleFromDBClusterOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var DBClusterRoleNotFoundFault_1 = require("../shapes/DBClusterRoleNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveRoleFromDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveRoleFromDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveRoleFromDBClusterInput_1.RemoveRoleFromDBClusterInput
    },
    output: {
        shape: RemoveRoleFromDBClusterOutput_1.RemoveRoleFromDBClusterOutput
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBClusterRoleNotFoundFault_1.DBClusterRoleNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        }
    ]
};
//# sourceMappingURL=RemoveRoleFromDBCluster.js.map