"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveRoleFromDBInstanceInput_1 = require("../shapes/RemoveRoleFromDBInstanceInput");
var RemoveRoleFromDBInstanceOutput_1 = require("../shapes/RemoveRoleFromDBInstanceOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var DBInstanceRoleNotFoundFault_1 = require("../shapes/DBInstanceRoleNotFoundFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveRoleFromDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveRoleFromDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveRoleFromDBInstanceInput_1.RemoveRoleFromDBInstanceInput
    },
    output: {
        shape: RemoveRoleFromDBInstanceOutput_1.RemoveRoleFromDBInstanceOutput
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBInstanceRoleNotFoundFault_1.DBInstanceRoleNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=RemoveRoleFromDBInstance.js.map