"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveSourceIdentifierFromSubscriptionInput_1 = require("../shapes/RemoveSourceIdentifierFromSubscriptionInput");
var RemoveSourceIdentifierFromSubscriptionOutput_1 = require("../shapes/RemoveSourceIdentifierFromSubscriptionOutput");
var SubscriptionNotFoundFault_1 = require("../shapes/SubscriptionNotFoundFault");
var SourceNotFoundFault_1 = require("../shapes/SourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveSourceIdentifierFromSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveSourceIdentifierFromSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveSourceIdentifierFromSubscriptionInput_1.RemoveSourceIdentifierFromSubscriptionInput
    },
    output: {
        shape: RemoveSourceIdentifierFromSubscriptionOutput_1.RemoveSourceIdentifierFromSubscriptionOutput,
        resultWrapper: "RemoveSourceIdentifierFromSubscriptionResult"
    },
    errors: [
        {
            shape: SubscriptionNotFoundFault_1.SubscriptionNotFoundFault
        },
        {
            shape: SourceNotFoundFault_1.SourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=RemoveSourceIdentifierFromSubscription.js.map