"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CharacterSet_1 = require("./_CharacterSet");
var _SupportedCharacterSetsList_1 = require("./_SupportedCharacterSetsList");
var _ValidUpgradeTargetList_1 = require("./_ValidUpgradeTargetList");
var _SupportedTimezonesList_1 = require("./_SupportedTimezonesList");
var _LogTypeList_1 = require("./_LogTypeList");
var _EngineModeList_1 = require("./_EngineModeList");
var _FeatureNameList_1 = require("./_FeatureNameList");
exports._DBEngineVersion = {
    type: "structure",
    required: [],
    members: {
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        DBParameterGroupFamily: {
            shape: {
                type: "string"
            }
        },
        DBEngineDescription: {
            shape: {
                type: "string"
            }
        },
        DBEngineVersionDescription: {
            shape: {
                type: "string"
            }
        },
        DefaultCharacterSet: {
            shape: _CharacterSet_1._CharacterSet
        },
        SupportedCharacterSets: {
            shape: _SupportedCharacterSetsList_1._SupportedCharacterSetsList
        },
        ValidUpgradeTarget: {
            shape: _ValidUpgradeTargetList_1._ValidUpgradeTargetList
        },
        SupportedTimezones: {
            shape: _SupportedTimezonesList_1._SupportedTimezonesList
        },
        ExportableLogTypes: {
            shape: _LogTypeList_1._LogTypeList
        },
        SupportsLogExportsToCloudwatchLogs: {
            shape: {
                type: "boolean"
            }
        },
        SupportsReadReplica: {
            shape: {
                type: "boolean"
            }
        },
        SupportedEngineModes: {
            shape: _EngineModeList_1._EngineModeList
        },
        SupportedFeatureNames: {
            shape: _FeatureNameList_1._FeatureNameList
        },
        Status: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_DBEngineVersion.js.map