"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddSourceIdentifierToSubscription_1 = require("../model/operations/AddSourceIdentifierToSubscription");
var AddSourceIdentifierToSubscriptionCommand = /** @class */ (function () {
    function AddSourceIdentifierToSubscriptionCommand(input) {
        this.input = input;
        this.model = AddSourceIdentifierToSubscription_1.AddSourceIdentifierToSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddSourceIdentifierToSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddSourceIdentifierToSubscriptionCommand;
}());
exports.AddSourceIdentifierToSubscriptionCommand = AddSourceIdentifierToSubscriptionCommand;
//# sourceMappingURL=AddSourceIdentifierToSubscriptionCommand.js.map