"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CopyOptionGroup_1 = require("../model/operations/CopyOptionGroup");
var CopyOptionGroupCommand = /** @class */ (function () {
    function CopyOptionGroupCommand(input) {
        this.input = input;
        this.model = CopyOptionGroup_1.CopyOptionGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CopyOptionGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CopyOptionGroupCommand;
}());
exports.CopyOptionGroupCommand = CopyOptionGroupCommand;
//# sourceMappingURL=CopyOptionGroupCommand.js.map