"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBSubnetGroup_1 = require("../model/operations/CreateDBSubnetGroup");
var CreateDBSubnetGroupCommand = /** @class */ (function () {
    function CreateDBSubnetGroupCommand(input) {
        this.input = input;
        this.model = CreateDBSubnetGroup_1.CreateDBSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBSubnetGroupCommand;
}());
exports.CreateDBSubnetGroupCommand = CreateDBSubnetGroupCommand;
//# sourceMappingURL=CreateDBSubnetGroupCommand.js.map