"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusterSnapshotAttributes_1 = require("../model/operations/DescribeDBClusterSnapshotAttributes");
var DescribeDBClusterSnapshotAttributesCommand = /** @class */ (function () {
    function DescribeDBClusterSnapshotAttributesCommand(input) {
        this.input = input;
        this.model = DescribeDBClusterSnapshotAttributes_1.DescribeDBClusterSnapshotAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClusterSnapshotAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClusterSnapshotAttributesCommand;
}());
exports.DescribeDBClusterSnapshotAttributesCommand = DescribeDBClusterSnapshotAttributesCommand;
//# sourceMappingURL=DescribeDBClusterSnapshotAttributesCommand.js.map