"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBInstanceAutomatedBackups_1 = require("../model/operations/DescribeDBInstanceAutomatedBackups");
var DescribeDBInstanceAutomatedBackupsCommand = /** @class */ (function () {
    function DescribeDBInstanceAutomatedBackupsCommand(input) {
        this.input = input;
        this.model = DescribeDBInstanceAutomatedBackups_1.DescribeDBInstanceAutomatedBackups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBInstanceAutomatedBackupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBInstanceAutomatedBackupsCommand;
}());
exports.DescribeDBInstanceAutomatedBackupsCommand = DescribeDBInstanceAutomatedBackupsCommand;
//# sourceMappingURL=DescribeDBInstanceAutomatedBackupsCommand.js.map