"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBSnapshots_1 = require("../model/operations/DescribeDBSnapshots");
var DescribeDBSnapshotsCommand = /** @class */ (function () {
    function DescribeDBSnapshotsCommand(input) {
        this.input = input;
        this.model = DescribeDBSnapshots_1.DescribeDBSnapshots;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBSnapshotsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBSnapshotsCommand;
}());
exports.DescribeDBSnapshotsCommand = DescribeDBSnapshotsCommand;
//# sourceMappingURL=DescribeDBSnapshotsCommand.js.map