"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOptionGroupOptions_1 = require("../model/operations/DescribeOptionGroupOptions");
var DescribeOptionGroupOptionsCommand = /** @class */ (function () {
    function DescribeOptionGroupOptionsCommand(input) {
        this.input = input;
        this.model = DescribeOptionGroupOptions_1.DescribeOptionGroupOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOptionGroupOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOptionGroupOptionsCommand;
}());
exports.DescribeOptionGroupOptionsCommand = DescribeOptionGroupOptionsCommand;
//# sourceMappingURL=DescribeOptionGroupOptionsCommand.js.map