"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReservedDBInstancesOfferings_1 = require("../model/operations/DescribeReservedDBInstancesOfferings");
var DescribeReservedDBInstancesOfferingsCommand = /** @class */ (function () {
    function DescribeReservedDBInstancesOfferingsCommand(input) {
        this.input = input;
        this.model = DescribeReservedDBInstancesOfferings_1.DescribeReservedDBInstancesOfferings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReservedDBInstancesOfferingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReservedDBInstancesOfferingsCommand;
}());
exports.DescribeReservedDBInstancesOfferingsCommand = DescribeReservedDBInstancesOfferingsCommand;
//# sourceMappingURL=DescribeReservedDBInstancesOfferingsCommand.js.map