"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeSourceRegions_1 = require("../model/operations/DescribeSourceRegions");
var DescribeSourceRegionsCommand = /** @class */ (function () {
    function DescribeSourceRegionsCommand(input) {
        this.input = input;
        this.model = DescribeSourceRegions_1.DescribeSourceRegions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeSourceRegionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeSourceRegionsCommand;
}());
exports.DescribeSourceRegionsCommand = DescribeSourceRegionsCommand;
//# sourceMappingURL=DescribeSourceRegionsCommand.js.map