"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyCurrentDBClusterCapacity_1 = require("../model/operations/ModifyCurrentDBClusterCapacity");
var ModifyCurrentDBClusterCapacityCommand = /** @class */ (function () {
    function ModifyCurrentDBClusterCapacityCommand(input) {
        this.input = input;
        this.model = ModifyCurrentDBClusterCapacity_1.ModifyCurrentDBClusterCapacity;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyCurrentDBClusterCapacityCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyCurrentDBClusterCapacityCommand;
}());
exports.ModifyCurrentDBClusterCapacityCommand = ModifyCurrentDBClusterCapacityCommand;
//# sourceMappingURL=ModifyCurrentDBClusterCapacityCommand.js.map