"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBSubnetGroup_1 = require("../model/operations/ModifyDBSubnetGroup");
var ModifyDBSubnetGroupCommand = /** @class */ (function () {
    function ModifyDBSubnetGroupCommand(input) {
        this.input = input;
        this.model = ModifyDBSubnetGroup_1.ModifyDBSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBSubnetGroupCommand;
}());
exports.ModifyDBSubnetGroupCommand = ModifyDBSubnetGroupCommand;
//# sourceMappingURL=ModifyDBSubnetGroupCommand.js.map