"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveSourceIdentifierFromSubscription_1 = require("../model/operations/RemoveSourceIdentifierFromSubscription");
var RemoveSourceIdentifierFromSubscriptionCommand = /** @class */ (function () {
    function RemoveSourceIdentifierFromSubscriptionCommand(input) {
        this.input = input;
        this.model = RemoveSourceIdentifierFromSubscription_1.RemoveSourceIdentifierFromSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveSourceIdentifierFromSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveSourceIdentifierFromSubscriptionCommand;
}());
exports.RemoveSourceIdentifierFromSubscriptionCommand = RemoveSourceIdentifierFromSubscriptionCommand;
//# sourceMappingURL=RemoveSourceIdentifierFromSubscriptionCommand.js.map