"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddRoleToDBClusterInput_1 = require("../shapes/AddRoleToDBClusterInput");
var AddRoleToDBClusterOutput_1 = require("../shapes/AddRoleToDBClusterOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var DBClusterRoleAlreadyExistsFault_1 = require("../shapes/DBClusterRoleAlreadyExistsFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var DBClusterRoleQuotaExceededFault_1 = require("../shapes/DBClusterRoleQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddRoleToDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddRoleToDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddRoleToDBClusterInput_1.AddRoleToDBClusterInput
    },
    output: {
        shape: AddRoleToDBClusterOutput_1.AddRoleToDBClusterOutput
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBClusterRoleAlreadyExistsFault_1.DBClusterRoleAlreadyExistsFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBClusterRoleQuotaExceededFault_1.DBClusterRoleQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=AddRoleToDBCluster.js.map