"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDBClusterEndpointInput_1 = require("../shapes/DeleteDBClusterEndpointInput");
var DeleteDBClusterEndpointOutput_1 = require("../shapes/DeleteDBClusterEndpointOutput");
var InvalidDBClusterEndpointStateFault_1 = require("../shapes/InvalidDBClusterEndpointStateFault");
var DBClusterEndpointNotFoundFault_1 = require("../shapes/DBClusterEndpointNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBClusterEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBClusterEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBClusterEndpointInput_1.DeleteDBClusterEndpointInput
    },
    output: {
        shape: DeleteDBClusterEndpointOutput_1.DeleteDBClusterEndpointOutput,
        resultWrapper: "DeleteDBClusterEndpointResult"
    },
    errors: [
        {
            shape: InvalidDBClusterEndpointStateFault_1.InvalidDBClusterEndpointStateFault
        },
        {
            shape: DBClusterEndpointNotFoundFault_1.DBClusterEndpointNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        }
    ]
};
//# sourceMappingURL=DeleteDBClusterEndpoint.js.map