"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteOptionGroupInput_1 = require("../shapes/DeleteOptionGroupInput");
var DeleteOptionGroupOutput_1 = require("../shapes/DeleteOptionGroupOutput");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var InvalidOptionGroupStateFault_1 = require("../shapes/InvalidOptionGroupStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteOptionGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteOptionGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteOptionGroupInput_1.DeleteOptionGroupInput
    },
    output: {
        shape: DeleteOptionGroupOutput_1.DeleteOptionGroupOutput
    },
    errors: [
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: InvalidOptionGroupStateFault_1.InvalidOptionGroupStateFault
        }
    ]
};
//# sourceMappingURL=DeleteOptionGroup.js.map