"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCertificatesInput_1 = require("../shapes/DescribeCertificatesInput");
var DescribeCertificatesOutput_1 = require("../shapes/DescribeCertificatesOutput");
var CertificateNotFoundFault_1 = require("../shapes/CertificateNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCertificates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCertificates",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCertificatesInput_1.DescribeCertificatesInput
    },
    output: {
        shape: DescribeCertificatesOutput_1.DescribeCertificatesOutput,
        resultWrapper: "DescribeCertificatesResult"
    },
    errors: [
        {
            shape: CertificateNotFoundFault_1.CertificateNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeCertificates.js.map