"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeEventSubscriptionsInput_1 = require("../shapes/DescribeEventSubscriptionsInput");
var DescribeEventSubscriptionsOutput_1 = require("../shapes/DescribeEventSubscriptionsOutput");
var SubscriptionNotFoundFault_1 = require("../shapes/SubscriptionNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEventSubscriptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEventSubscriptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventSubscriptionsInput_1.DescribeEventSubscriptionsInput
    },
    output: {
        shape: DescribeEventSubscriptionsOutput_1.DescribeEventSubscriptionsOutput,
        resultWrapper: "DescribeEventSubscriptionsResult"
    },
    errors: [
        {
            shape: SubscriptionNotFoundFault_1.SubscriptionNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeEventSubscriptions.js.map