"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeGlobalClustersInput_1 = require("../shapes/DescribeGlobalClustersInput");
var DescribeGlobalClustersOutput_1 = require("../shapes/DescribeGlobalClustersOutput");
var GlobalClusterNotFoundFault_1 = require("../shapes/GlobalClusterNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeGlobalClusters = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeGlobalClusters",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeGlobalClustersInput_1.DescribeGlobalClustersInput
    },
    output: {
        shape: DescribeGlobalClustersOutput_1.DescribeGlobalClustersOutput,
        resultWrapper: "DescribeGlobalClustersResult"
    },
    errors: [
        {
            shape: GlobalClusterNotFoundFault_1.GlobalClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeGlobalClusters.js.map