"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeOptionGroupsInput_1 = require("../shapes/DescribeOptionGroupsInput");
var DescribeOptionGroupsOutput_1 = require("../shapes/DescribeOptionGroupsOutput");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeOptionGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeOptionGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeOptionGroupsInput_1.DescribeOptionGroupsInput
    },
    output: {
        shape: DescribeOptionGroupsOutput_1.DescribeOptionGroupsOutput,
        resultWrapper: "DescribeOptionGroupsResult"
    },
    errors: [
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeOptionGroups.js.map