"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReservedDBInstancesOfferingsInput_1 = require("../shapes/DescribeReservedDBInstancesOfferingsInput");
var DescribeReservedDBInstancesOfferingsOutput_1 = require("../shapes/DescribeReservedDBInstancesOfferingsOutput");
var ReservedDBInstancesOfferingNotFoundFault_1 = require("../shapes/ReservedDBInstancesOfferingNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReservedDBInstancesOfferings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReservedDBInstancesOfferings",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReservedDBInstancesOfferingsInput_1.DescribeReservedDBInstancesOfferingsInput
    },
    output: {
        shape: DescribeReservedDBInstancesOfferingsOutput_1.DescribeReservedDBInstancesOfferingsOutput,
        resultWrapper: "DescribeReservedDBInstancesOfferingsResult"
    },
    errors: [
        {
            shape: ReservedDBInstancesOfferingNotFoundFault_1.ReservedDBInstancesOfferingNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeReservedDBInstancesOfferings.js.map