"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DownloadDBLogFilePortionInput_1 = require("../shapes/DownloadDBLogFilePortionInput");
var DownloadDBLogFilePortionOutput_1 = require("../shapes/DownloadDBLogFilePortionOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var DBLogFileNotFoundFault_1 = require("../shapes/DBLogFileNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DownloadDBLogFilePortion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DownloadDBLogFilePortion",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DownloadDBLogFilePortionInput_1.DownloadDBLogFilePortionInput
    },
    output: {
        shape: DownloadDBLogFilePortionOutput_1.DownloadDBLogFilePortionOutput,
        resultWrapper: "DownloadDBLogFilePortionResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBLogFileNotFoundFault_1.DBLogFileNotFoundFault
        }
    ]
};
//# sourceMappingURL=DownloadDBLogFilePortion.js.map