"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyOptionGroupInput_1 = require("../shapes/ModifyOptionGroupInput");
var ModifyOptionGroupOutput_1 = require("../shapes/ModifyOptionGroupOutput");
var InvalidOptionGroupStateFault_1 = require("../shapes/InvalidOptionGroupStateFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyOptionGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyOptionGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyOptionGroupInput_1.ModifyOptionGroupInput
    },
    output: {
        shape: ModifyOptionGroupOutput_1.ModifyOptionGroupOutput,
        resultWrapper: "ModifyOptionGroupResult"
    },
    errors: [
        {
            shape: InvalidOptionGroupStateFault_1.InvalidOptionGroupStateFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=ModifyOptionGroup.js.map