"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsFromResourceInput_1 = require("../shapes/RemoveTagsFromResourceInput");
var RemoveTagsFromResourceOutput_1 = require("../shapes/RemoveTagsFromResourceOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromResourceInput_1.RemoveTagsFromResourceInput
    },
    output: {
        shape: RemoveTagsFromResourceOutput_1.RemoveTagsFromResourceOutput
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromResource.js.map